Rerun Job
post
/jobs/{id}
Reruns the job, returning job information and new job ID.
Request
Path Parameters
-
id(required):
Job ID.
Response
200 Response
OK
Job information returned successfully for newly created job ID.
500 Response
Internal Server Error.
503 Response
Service Unavailable
Naming exception or server exception. Job ID is incorrect or invalid.
Examples
The following example shows how to rerun a previously executed job ID. A new job ID is created.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X POST "https://myserver.example.com:9001/essbase/rest/v1/jobs/28" -H "accept: application/json" -u %User%:%Password%Example of Response Body
{
"job_ID": 42,
"appName": "Sample",
"dbName": "Basic",
"jobType": "Export Data",
"jobfileName": null,
"userName": "dbmanager",
"startTime": 1585007505000,
"endTime": 1585007505000,
"statusCode": 100,
"statusMessage": "In Progress",
"jobInputInfo": {
"compress": false,
"columnFormat": false,
"dataLevel": "3"
},
"jobOutputInfo": {
"scriptOutputFileName": "",
"scriptOutputFileNamePath": "",
"infoMessage": "",
"errorMessage": ""
},
"links": [
{
"rel": "get",
"href": "https://myserver.example.com:9001/essbase/rest/v1/jobs/42",
"method": "GET"
}
]
}